Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SystemExceptionA.cpp File Reference

`#include "SystemException.h"`
`#include "Any_SystemException.h"`
`#include "Any_Dual_Impl_T.h"`
`#include "TypeCode.h"`
`#include "TypeCode_Constants.h"`
`#include "Enum_TypeCode_Static.h"`
`#include "TypeCode_Struct_Field.h"`
`#include "Struct_TypeCode_Static.h"`
`#include "Null_RefCount_Policy.h"`
`#include "CORBA_String.h"`

Include dependency graph for SystemExceptionA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
namespace | CORBA
## Defines
#define | STANDARD_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name)
## Typedefs
typedef TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | tc_SystemException
## Variables
char const *const | enumerators_CORBA_CompletionStatus []
Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | tc_CompletionStatus ("IDL:omg.org/CORBA/CompletionStatus:1.0","CompletionStatus", enumerators_CORBA_CompletionStatus, 3)
TypeCode_ptr const | _tc_CompletionStatus
Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | fields_CORBA_SystemException []

## Define Documentation

#define STANDARD_EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::Boolean operator>>= (const CORBA::Any &any, \
                                const CORBA::name *&ex) \
    { \
      return \
        TAO::Any_SystemException::extract ( \
            any, \
            CORBA::name ::_tao_any_destructor, \
            CORBA::_tc_ ## name, \
            (const CORBA::SystemException *&) ex, \
            &CORBA::name ::_tao_create); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    void \
    CORBA::operator<<= (CORBA::Any &any, CORBA::name *ex) \
    { \
      TAO::Any_SystemException::insert ( \
          any, \
          CORBA::name ::_tao_any_destructor, \
          CORBA::_tc_ ## name, \
          ex \
        ); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    void \
    CORBA::operator<<= (CORBA::Any &any, const CORBA::name &ex) \
    { \
      TAO::Any_SystemException::insert_copy ( \
          any, \
          CORBA::name ::_tao_any_destructor, \
          CORBA::_tc_ ## name, \
          ex \
        ); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    namespace TAO \
    { \
      namespace TypeCode \
      { \
        tc_SystemException tc_CORBA_ ## name ( \
          CORBA::tk_except, \
          "IDL:omg.org/CORBA/" #name ":1.0", \
          #name, \
          TAO::TypeCode::fields_CORBA_SystemException, \
          2 /* # of fields */); \
      } \
    } \
    CORBA::TypeCode_ptr const CORBA::_tc_ ## name = \
        &TAO::TypeCode::tc_CORBA_ ## name;

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    void \
    CORBA::name ::_tao_any_destructor (void * x) \
    { \
      delete static_cast<CORBA::name *> (x); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::TypeCode_ptr \
    CORBA::name ::_tao_type (void) const \
    { \
      return CORBA::_tc_ ## name; \
    }

## Typedef Documentation

typedef TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> TAO::TypeCode::tc_SystemException

## Variable Documentation

TypeCode_ptr const CORBA::_tc_CompletionStatus

| Initial value:
        &TAO::TypeCode::tc_CompletionStatus

char const* const TAO::TypeCode::enumerators_CORBA_CompletionStatus[]

| Initial value:
          {
            "COMPLETED_YES",
            "COMPLETED_NO",
            "COMPLETED_MAYBE"
          }

Struct_Field<char const *, CORBA::TypeCode_ptr const *> const TAO::TypeCode::fields_CORBA_SystemException[]

| Initial value:
          {
            { "minor",     &CORBA::_tc_ulong },
            { "completed", &CORBA::_tc_CompletionStatus }
          }

Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> TAO::TypeCode::tc_CompletionStatus("IDL:omg.org/CORBA/CompletionStatus:1.0","CompletionStatus", enumerators_CORBA_CompletionStatus, 3)